package com.ruoyi.brewery.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.brewery.mapper.WyBreweryRoleMapper;
import com.ruoyi.brewery.domain.WyBreweryRole;
import com.ruoyi.brewery.service.IWyBreweryRoleService;

/**
 * 角色信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-03-10
 */
@Service
public class WyBreweryRoleServiceImpl implements IWyBreweryRoleService 
{
    @Autowired
    private WyBreweryRoleMapper wyBreweryRoleMapper;

    /**
     * 查询角色信息
     * 
     * @param roleId 角色信息主键
     * @return 角色信息
     */
    @Override
    public WyBreweryRole selectWyBreweryRoleByRoleId(Long roleId)
    {
        return wyBreweryRoleMapper.selectWyBreweryRoleByRoleId(roleId);
    }

    /**
     * 查询角色信息列表
     * 
     * @param wyBreweryRole 角色信息
     * @return 角色信息
     */
    @Override
    public List<WyBreweryRole> selectWyBreweryRoleList(WyBreweryRole wyBreweryRole)
    {
        return wyBreweryRoleMapper.selectWyBreweryRoleList(wyBreweryRole);
    }

    /**
     * 新增角色信息
     * 
     * @param wyBreweryRole 角色信息
     * @return 结果
     */
    @Override
    public int insertWyBreweryRole(WyBreweryRole wyBreweryRole)
    {
        wyBreweryRole.setCreateTime(DateUtils.getNowDate());
        return wyBreweryRoleMapper.insertWyBreweryRole(wyBreweryRole);
    }

    /**
     * 修改角色信息
     * 
     * @param wyBreweryRole 角色信息
     * @return 结果
     */
    @Override
    public int updateWyBreweryRole(WyBreweryRole wyBreweryRole)
    {
        wyBreweryRole.setUpdateTime(DateUtils.getNowDate());
        return wyBreweryRoleMapper.updateWyBreweryRole(wyBreweryRole);
    }

    /**
     * 批量删除角色信息
     * 
     * @param roleIds 需要删除的角色信息主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryRoleByRoleIds(Long[] roleIds)
    {
        return wyBreweryRoleMapper.deleteWyBreweryRoleByRoleIds(roleIds);
    }

    /**
     * 删除角色信息信息
     * 
     * @param roleId 角色信息主键
     * @return 结果
     */
    @Override
    public int deleteWyBreweryRoleByRoleId(Long roleId)
    {
        return wyBreweryRoleMapper.deleteWyBreweryRoleByRoleId(roleId);
    }
}
